pages:
  stage: deploy
  script:
    - echo "Deploying pre-built HTML..."
    - cp -r docs/build/html public  # Copy the pre-built HTML to the public directory
  artifacts:
    paths:
      - public
  only:
    changes:
      - docs/source/**  # Run only if files in docs/source/ change
      - docs/Makefile